Delete Invoice Document
curl --request DELETE \
--url https://api.upwell.com/api/rest/invoices/{invoiceId}/documents/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"invoiceId": "<string>"
}
'import requests
url = "https://api.upwell.com/api/rest/invoices/{invoiceId}/documents/{id}"
payload = {
"id": "<string>",
"invoiceId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', invoiceId: '<string>'})
};
fetch('https://api.upwell.com/api/rest/invoices/{invoiceId}/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleteFileAssociations": {
"affectedRows": 123,
"returning": [
{
"associationId": "<string>",
"fileId": "<string>",
"id": "<string>"
}
]
}
}{
"error": "Not-NULL violation. null value in column \"shipment_id\" of relation \"shipments\" violates not-null constraint",
"code": "constraint-violation"
}Invoice Documents
Delete Invoice Document
Delete an invoice document by ID
DELETE
/
api
/
rest
/
invoices
/
{invoiceId}
/
documents
/
{id}
Delete Invoice Document
Authorizations
Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account → API keys) and are scoped to one organization.
Path Parameters
"id" is required (enter it either in parameters or request body)
"invoiceId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
Responses for DELETE /api/rest/invoices/{invoiceId}/documents/{id}
response of any mutation on the table "file_associations"
Show child attributes
Show child attributes
⌘I

